<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" dir="ltr">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<title>Development Reference│HTMLValidator</title>
<meta name="description" content="" />
<meta name="keywords" content="" />
<link rel="stylesheet" type="text/css" media="all" href="common/css/base.css" />
</head>
<body>
<h1>
<a href="http://mashimonator.weblike.jp/blog/index.html">
<img src="common/images/cmn_ttl.jpg" alt="Development Reference" width="277" height="103" /></a>
</h1>
<?php



//テキストノードの値
function characters($parser, $text){
    global $tmp;
    //バッファにテキストを保存
    $tmp = $text;
}

//要素の開始
function startElement($parser, $name, $attrib){
	global $uri,$ecnt;

	//errorlist要素
	if($name == 'm:errorlist'){
		// 出力
		print "<div class=\"errorBlock\">\n";
		print $src . "<h2>該当ページ：" . $uri . "</h2>" . "\n";
		print $src . "<h3>エラー数：" . $ecnt . "</h3>" . "\n";
		// 初期化
		$uri = '';
		$ecnt ='';
	}

}

//要素の終了
function endElement($parser, $name){
	global $tmp,$uri,$ecnt,$row,$col,$mes,$src,$exp;

	switch($name){
		//uri要素の終了
		case 'm:uri':
			$uri = $tmp;
			break;
		//errorcount要素の終了
		case 'm:errorcount':
			$ecnt = $tmp;
			break;
		//Line要素の終了
		case 'm:line':
			$row = $tmp;
			break;
		//Column要素の終了
		case 'm:col':
			$col = $tmp;
			break;
		//Message要素の終了
		case 'm:message':
			$mes = $tmp;
			break;
		//Src要素の終了
		case 'm:source':
			$src = $tmp;
			break;
		//Explanation要素の終了
		//case 'm:explanation':
		//	$exp = $tmp;
		//	break;
		//error要素の終了
		case 'm:error':
			//整形
			$src = mb_ereg_replace("\r|\n", '', $src);
			$src = mb_ereg_replace("<!\[CDATA\[", '', $src);
			$src = mb_ereg_replace("\]\]>", '', $src);
			//$exp = mb_ereg_replace("\r|\n", '', $exp);
			//$exp = mb_ereg_replace("<!\[CDATA\[", '', $exp);
			//$exp = mb_ereg_replace("\]\]>", '', $exp);
			//表示
			print "<div class=\"errorContent\">\n";
			print "<p>Line：". htmlentities($row) . "　Column：". htmlentities($col) . "　<span class=\"errorMessage\">" . htmlentities($mes) . "</span></p>\n";
			print "<pre><code>". $src . "</code></pre>\n";
			//print "<p>". htmlentities($exp) . "</p>\n";
			print "</div>\n";
			
			// 初期化
			$row = '';
			$col = '';
			$mes = '';
			$src = '';
			$exp = '';
			
			break;
		case 'm:errorlist':
			print "</div>\n";
			break;
		default :
			break;
	} 
}


foreach ( $results as $soap ) {

	$tmp = '';
	$uri = '';
	$ecnt = '';
	$row = '';
	$col = '';
	$mes = '';
	$src = '';
	$exp = '';

	$xml_parser = xml_parser_create("UTF-8");

	// 大文字変換を行わない
	xml_parser_set_option($xml_parser, XML_OPTION_CASE_FOLDING, false);
	//start および end 要素のハンドラを設定する
	xml_set_element_handler($xml_parser, "startElement", "endElement");
	//文字データハンドラを設定する
	xml_set_character_data_handler($xml_parser, "characters");

	// 表示のため整形
	$soap = mb_ereg_replace('&quot;', '"', $soap);

	//XMLパース処理
	if (!xml_parse($xml_parser, $soap)) {
		//パースエラー処理
		die(sprintf("XML error: %s at line %d <br />\n<pre><code>%s</code></pre>",
		xml_error_string(xml_get_error_code($xml_parser)),
		xml_get_current_line_number($xml_parser),
		htmlentities($soap)));
	}

	//XMLパーサの開放
	xml_parser_free($xml_parser);

}

if ( count($results) == 0 ) {
	print '<h2>結果が取得できませんでした</h2>'."\n";
}

?>
<p class="copyright"><img src="common/images/cmn_copy.jpg" alt="Copyright (C) mashimonator All rights reserved." width="323" height="27" border="0" /></p>
</body>
</html>